Debian Bug report logs - #685633
pu: package network-manager/0.8.1-6+squeeze2

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Wed, 22 Aug 2012 19:03:01 UTC

Severity: normal

Tags: pending, squeeze

Fixed in version 6.0.6

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jmw@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685633; Package release.debian.org. (Wed, 22 Aug 2012 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to jmw@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Wed, 22 Aug 2012 19:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package network-manager/0.8.1-6+squeeze2
Date: Wed, 22 Aug 2012 21:01:45 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Hi,

I'd like to upload a fix for #655972 [1] to stable, which fixes
CVE-2012-2736.

The security team contacted me about this issue and doesn't consider it
important enough for a stable-security upload but would like to see it
addressed via a regular stable upload. Full debdiff is attached.

Please let me know if I can proceed with the upload.

Cheers,
Michael


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[nm-stable-debdiff.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685633; Package release.debian.org. (Sun, 02 Sep 2012 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 02 Sep 2012 13:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 685633@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 685633@bugs.debian.org
Subject: Re: Bug#685633: pu: package network-manager/0.8.1-6+squeeze2
Date: Sun, 02 Sep 2012 14:57:12 +0200
[Message part 1 (text/plain, inline)]
On 22.08.2012 21:01, Michael Biebl wrote:

> I'd like to upload a fix for #655972 [1] to stable, which fixes
> CVE-2012-2736.

friendly ping


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685633; Package release.debian.org. (Tue, 11 Sep 2012 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 11 Sep 2012 20:09:04 GMT) Full text and rfc822 format available.

Message #15 received at 685633@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 685633@bugs.debian.org, Jonathan Wiltshire <jmw@debian.org>
Subject: Re: Bug#685633: pu: package network-manager/0.8.1-6+squeeze2
Date: Tue, 11 Sep 2012 22:06:48 +0200
[Message part 1 (text/plain, inline)]
On 02.09.2012 14:57, Michael Biebl wrote:
> On 22.08.2012 21:01, Michael Biebl wrote:
> 
>> I'd like to upload a fix for #655972 [1] to stable, which fixes
>> CVE-2012-2736.
> 
> friendly ping

ping?


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685633; Package release.debian.org. (Wed, 12 Sep 2012 12:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@hub.kern.lc>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 12 Sep 2012 12:03:05 GMT) Full text and rfc822 format available.

Message #20 received at 685633@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@hub.kern.lc>
To: Michael Biebl <biebl@debian.org>, 685633@bugs.debian.org
Cc: Jonathan Wiltshire <jmw@debian.org>
Subject: Re: Bug#685633: pu: package network-manager/0.8.1-6+squeeze2
Date: Wed, 12 Sep 2012 14:00:14 +0200
On Tue, Sep 11, 2012 at 10:06:48PM +0200, Michael Biebl wrote:
> On 02.09.2012 14:57, Michael Biebl wrote:
> > On 22.08.2012 21:01, Michael Biebl wrote:
> >> I'd like to upload a fix for #655972 [1] to stable, which fixes
> >> CVE-2012-2736.
> > friendly ping
> ping?

So not even newer kernels support this properly and it's deactivated for
wheezy? If so, please go ahead.

Kind regards
Philipp Kern



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685633; Package release.debian.org. (Wed, 12 Sep 2012 14:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 12 Sep 2012 14:03:02 GMT) Full text and rfc822 format available.

Message #25 received at 685633@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Philipp Kern <pkern@hub.kern.lc>, 685633@bugs.debian.org
Subject: Re: Bug#685633: pu: package network-manager/0.8.1-6+squeeze2
Date: Wed, 12 Sep 2012 15:58:45 +0200
[Message part 1 (text/plain, inline)]
On 12.09.2012 14:00, Philipp Kern wrote:
> On Tue, Sep 11, 2012 at 10:06:48PM +0200, Michael Biebl wrote:
>> On 02.09.2012 14:57, Michael Biebl wrote:
>>> On 22.08.2012 21:01, Michael Biebl wrote:
>>>> I'd like to upload a fix for #655972 [1] to stable, which fixes
>>>> CVE-2012-2736.
>>> friendly ping
>> ping?
> 
> So not even newer kernels support this properly and it's deactivated for
> wheezy?

Yes, it is my understanding that even current kernels do not handle this
properly and that patch is indeed a backport from 0.9.4.0, the current
wheezy version.

> If so, please go ahead.

Done, thanks.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685633; Package release.debian.org. (Wed, 12 Sep 2012 18:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 12 Sep 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #30 received at 685633@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Michael Biebl <biebl@debian.org>, 685633@bugs.debian.org
Subject: Re: Bug#685633: pu: package network-manager/0.8.1-6+squeeze2
Date: Wed, 12 Sep 2012 19:35:45 +0100
Control: tags -1 + squeeze pending

On Wed, 2012-09-12 at 15:58 +0200, Michael Biebl wrote:
> On 12.09.2012 14:00, Philipp Kern wrote:
[...]
> >>> On 22.08.2012 21:01, Michael Biebl wrote:
> >>>> I'd like to upload a fix for #655972 [1] to stable, which fixes
> >>>> CVE-2012-2736.
[...]
> > So not even newer kernels support this properly and it's deactivated for
> > wheezy?
> 
> Yes, it is my understanding that even current kernels do not handle this
> properly and that patch is indeed a backport from 0.9.4.0, the current
> wheezy version.
> 
> > If so, please go ahead.
> 
> Done, thanks.

Flagged for acceptance; thanks.

Regards,

Adam




Added tag(s) squeeze and pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 685633-submit@bugs.debian.org. (Wed, 12 Sep 2012 18:39:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 6.0.6. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 05 Oct 2012 09:27:16 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 05 Oct 2012 09:27:16 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Fri, 05 Oct 2012 09:27:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Nov 2012 07:26:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:43:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.